<%@ page language="java" %>
<%@ page info="JXL ̿   " %>
<%@ page contentType="text/html; charset=EUC-KR" %>
<%@ page pageEncoding="EUC-KR"%>

<%-- import   ص ϴ. --%>
<%@ page import="java.io.*" %>

<%-- JXL   API import Ѵ. --%>
<%@ page import="jxl.*" %>

<%
	// ϴ  θ ȹѴ.
	String path = application.getRealPath("/excel_data");
	File dir = new File(path);
	if(!dir.exists()) dir.mkdir();
	File excel_file = new File(dir, "Sample_Excel.xls");
	
	//workbook ü ϴ  ƴ϶ 
	//̹ Ǿ ִ  Ϸ  ´.
	Workbook workbook = Workbook.getWorkbook(excel_file);
	//0° Sheet  ´.
	Sheet sheet = workbook.getSheet(0);
	
	// ִ  ͸  
	//  Ͱ ִ Row  Col  ȹѴ.
	int rows = sheet.getRows();                            
	int cols = sheet.getColumns();

	//Title x = 1, y = 0 ġ Cell ־Ƿ װ  ȹѴ.
	String title = sheet.getCell(1, 0).getContents();
	
	//Header ʹ x = 0 ~ 3, y = 2 ġ ־Ƿ 
	// ġ ͸  迭 ´.
	String[] header = new String[cols];
	for(int i = 0; i < header.length; ++i) {
		header[i] = sheet.getCell(i, 2).getContents();
	}
	
	//ʹ x = 0 ~ 3, y = 3 ~ 5 ġ ־Ƿ
	// ġ ͸  2 迭 ´.
	String[][] data = new String[rows - 3][cols];
	for(int i = 0; i < data.length; ++i) {
		for(int j = 0; j < data[i].length; ++j) {
			data[i][j] = sheet.getCell(j, i + 3).getContents();
		}
	}
	
	// workbook ݴ´.
	if(workbook != null) workbook.close();
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=EUC-KR">
<title>Excel  а ϱ</title>
</head>
<body>
	<center>
		<h2>Sample Excel  о ϱ</h2>
		<hr width='80%'/>
		<h2><%= title %></h2>
		<table width='500' border='1'>
			<thead>
			<tr>
			<%
			String[] width = new String[]{"80", "70", "150", "200"};
			for(int i = 0; i < header.length; ++i) {
				out.println("<th width='" + width[i] + "'>" + header[i] + "</th>");
			}
			%>
			</tr>
			</thead>
			<tbody>			
			<col align='center'/>
			<col align='center'/>
			<col align='center'/>
			<col align='left'/>			
			<%
			for(int i = 0; i < data.length; ++i) {
				out.println("<tr>");
				for(int j = 0; j < data[i].length; ++j) {
					out.println("<td>" + data[i][j] + "</td>");
				}
				out.println("</tr>");
			}
			%>
			</tbody>
		</table>
	</center>
</body>
</html>