<%@ page language="java" %>
<%@ page info="JXL ̿   " %>
<%@ page contentType="text/html; charset=EUC-KR" %>
<%@ page pageEncoding="EUC-KR"%>

<%-- import   ص ϴ. --%>
<%@ page import="java.io.*" %>
<%-- JXL  API import Ѵ. --%>
<%@ page import="jxl.*, jxl.write.*" %>

<%
	// Ʈ ϴ   excel_data  θ ȹѴ.
	String path = application.getRealPath("/excel_data");
	File dir = new File(path);
	
	//excel_data    Ų.
	if(!dir.exists()) dir.mkdir();
	File excel_file = new File(dir, "Sample_Excel.xls");
	
	// Ͽ ͸  ִ ü Ѵ.
	WritableWorkbook workbook = Workbook.createWorkbook(excel_file);
	//  Sheet Ǿ Ƿ 0° Sheet  Ѵ.
	//   ʹ 迭ó 0 Ѵ.
	WritableSheet sheet = workbook.createSheet("Sample Sheet", 0);
	
	//Title  ֱ  ۾
	//Label ü Ѵ. 
	//x 1° cell, y 0° cell Ͱ ߰ȴ.
	Label name_lb = new Label(1, 0, "  ǥ");
	//Font Ӽ   ִ ü Ѵ.
	WritableFont name_font = new WritableFont(WritableFont.COURIER, 14, WritableFont.BOLD);
	// Cell Format   ִ ü Ѵ.
	WritableCellFormat name_format = new WritableCellFormat(name_font);
	//Label Cell Format Ѵ.
	name_lb.setCellFormat(name_format);	
	//Sheet ߰Ѵ.
	sheet.addCell(name_lb);
	
	//̺ Header ͸ ֱ  ۾
	//迭   ϰ Title  ִ  ϴ.
	String[] header_str = new String[]{"̸", "", "ó", "ּ"};
	WritableFont[] header_font = new WritableFont[4];
	WritableCellFormat[] header_format = new WritableCellFormat[header_str.length];
	
	for(int i = 0; i < header_str.length; ++i) {
		header_font[i] = new WritableFont(WritableFont.COURIER, 12, WritableFont.BOLD);
		header_format[i] = new WritableCellFormat(header_font[i]);
		
		// ߾ Ѵ.
		//⼭   CENTER ƴ϶ CENTRE  ʵ̴.
		header_format[i].setAlignment(jxl.format.Alignment.CENTRE);		
		Label header_lb = new Label(i, 2, header_str[i]);
		header_lb.setCellFormat(header_format[i]);
		sheet.addCell(header_lb);
	}
	
	//̺  ͸ ֱ  ۾̴.	
	Object[][] data_str = new Object[][] {
		{"", 20, "02-1234-5678", "  ȭ"}, 	
		{"", 30, "053-4321-8765", "뱸  "}, 
		{"", 40, "031-1122-3344", "⵵ õ ߱"}
	};
	
	//  format Ѵ.
	WritableFont left_font = new WritableFont(WritableFont.COURIER, 10, WritableFont.BOLD);
	WritableCellFormat left_format = new WritableCellFormat(left_font);
	left_format.setAlignment(jxl.format.Alignment.LEFT);
	
	//߾  format Ѵ.
	WritableFont cen_font = new WritableFont(WritableFont.COURIER, 10, WritableFont.BOLD);
	WritableCellFormat cen_format = new WritableCellFormat(cen_font);
	cen_format.setAlignment(jxl.format.Alignment.CENTRE);
	
	for(int i = 0; i < data_str.length; ++i) {		
		for(int j = 0; j < data_str[i].length; ++j) {			
			WritableCell data = null;
			if(j == 1) 
				// 쿡 Label  ƴ Number ü Ѵ.
				data = new jxl.write.Number(j, 3 + i, ((Integer)data_str[i][j]).intValue());
			else
				//ڿ 쿡 Label ü Ѵ.
				data = new Label(j, 3 + i, (String)data_str[i][j]);
			
			if(j == 3)			
				//ּҰ  ġ  format Ѵ.
				((WritableCell)data).setCellFormat(left_format);
			else
				//  ߾ format Ѵ.
				((WritableCell)data).setCellFormat(cen_format);
			
			sheet.addCell(((WritableCell)data));
		}
	}
	
	//2° ȭȣ ÷  ̰   
	//ڵ Size ϵ Ѵ.
	CellView tel_view = new CellView();
	tel_view.setAutosize(true);
	sheet.setColumnView(2, tel_view);
	
	//3° ּ ÷  ̵  ̹Ƿ ڵ Size Ѵ.
	CellView addr_view = new CellView();
	addr_view.setAutosize(true);
	sheet.setColumnView(3, addr_view);
	
	// workbook ͸  Ѵ.
	workbook.write();
	//workbook ݴ´.
	workbook.close();
%>

<center>
	Excel   Ϸ!
</center>