<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    <xsl:output method="html" version="1.0" encoding="euc-kr" 
        omit-xml-declaration="no" indent="yes"/>
    
    <xsl:template match="/book-list">
        <html>
            <head>
                <title>
                    XML 파일 변환!
                </title>
            </head>
            <body>                   
                <center>
                    <h2>책 목록!</h2>
                    <table width="80%" border="1">
                        <tr>
                            <th>분류</th><th>제목</th>
                            <th>저자</th><th>가격(원)</th>
                        </tr>
                        <xsl:apply-templates select="book"/>
                    </table>
                </center>
            </body>
        </html>
    </xsl:template>
    
    <xsl:template match="book">
        <tr>
            <td align="center"><xsl:value-of select="@kind"/></td>
            <td><xsl:value-of select="title"/></td>
            <td align="center"><xsl:value-of select="author"/></td>
            <td align="center"><xsl:value-of select="price"/></td>            
        </tr>
    </xsl:template>
    
</xsl:stylesheet>