import java.awt.Color;
import java.io.*;

import javax.servlet.*;
import javax.servlet.http.*;

import org.jfree.chart.*;
import org.jfree.chart.entity.*;
import org.jfree.chart.plot.*;
import org.jfree.chart.servlet.*;
import org.jfree.data.category.*;

public class Round17_06_Servlet extends HttpServlet {
	public void doPost(HttpServletRequest request, HttpServletResponse response) throws IOException, ServletException {
		String path = this.getServletContext().getRealPath("/data");
		String file_name = this.getInitParameter("result");
		
		File dir = new File(path);
		if(!dir.exists()) dir.mkdir();
		File file = new File(dir, file_name);

		int agree = 0;	int disagree = 0;
		if(file.exists()) {
			DataInputStream f_in = new DataInputStream(new BufferedInputStream(new FileInputStream(file)));
			try {
				agree = f_in.readInt();
				disagree = f_in.readInt();
			}catch(Exception e) {
				agree = 0;	disagree = 0;
			}
			f_in.close();			
		}
		
		String choice = request.getParameter("choice");
		
		if(choice != null && choice.equalsIgnoreCase("yes")) agree++;
		else if(choice != null && choice.equalsIgnoreCase("no")) disagree++;

		DataOutputStream f_out = new DataOutputStream(new BufferedOutputStream(new FileOutputStream(file)));
		f_out.writeInt(agree);
		f_out.writeInt(disagree);
		f_out.close();
		
		
		int tot = agree + disagree;
		
		//Ʈ  API ̿
		//ѱ۱  JDK  ko.properties 
		// ʾƼ ̹Ƿ  ġ  ϱ ٶ.
		// ˻ϸ ѱó κп   
		//  ϱ  װ ϸ  ̴.		

		DefaultCategoryDataset dataset = new DefaultCategoryDataset();
		// µ  ׷ ͸  ü Ѵ.
		dataset.addValue(100 * agree / tot, "Agree", "Agree");
		//  ͸ ߰Ѵ.
		dataset.addValue(100 * disagree/ tot, "DisAgree", "DisAgree");
		//ݴ뿡  ͸ ߰Ѵ.

		JFreeChart chart = ChartFactory.createBarChart("", "", "", dataset, 
			PlotOrientation.HORIZONTAL, true, true, false);
		//ϴ Ʈ  ü ϸ鼭  Ѵ.
		chart.setBackgroundPaint(new Color(173, 172, 210));
		//Ʈ ü  Ѵ.
		chart.setTitle("Bar Graph Chart!");
		//Ʈ  Ѵ.
		ChartRenderingInfo info = new ChartRenderingInfo(new StandardEntityCollection());
		//Ʈ   ش ̹ ӽ÷   ֵ 
		//ִ Ŭ		
		String fileName = ServletUtilities.saveChartAsPNG(chart, 300, 200, info, request.getSession());
		//Ʈ  ̸ Ͽ info ӽ  
		//̹ ϰ  ġ ǵ ִ Ŭ				
		
		//̻ 븸 Round17_05_Sub_Servlet.java  
		//   ֱ   ̷ Ʈ API ϰ ȴ.
			
		
		
		response.setContentType("text/html;charset=euc-kr");
		PrintWriter out = response.getWriter();
		out.println("<html><head><title>!</title></head>");
		out.println("<body><center>");		
		out.println("<img src='jchart?filename=" + fileName + "'/>");	
		//web.xml ǵ JFreeChart Ŭ 
		//DisplayChart ̹ Ѵ.
		//filename̶ Ű ӽ÷  ̹ ϸ Ѵ.
		out.println("</center></body></html>");		
	}	
}

