import java.io.*;
import java.net.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.border.*;

public class Round19_01_Applet extends JApplet implements Runnable {
	private String name;
	private int cnt = 0;
	private String result;
	
	private Thread thread;
	
	public void init() {
		name = this.getParameter("name");
		if(name.trim().length() != 0)
			cnt = name.length();
		if(thread == null) {
			thread = new Thread(this);
			thread.setDaemon(true);
			thread.start();
		}
	}
	public void destroy() {
		if(thread != null) thread = null;
	}
	public void paint(Graphics g) {
		g.setColor(new Color(0, 0, 255));
		int x = 100;
		int y = 80;
		g.drawString(name, x, y);
		if(result != null && result.trim().length() != 0) {
			x = 150;
			y = 120;
			g.drawString(" : " + result, x, y);
		}
	}	 
	public void run() {
		try {
			Thread.sleep(3000);
		}catch(InterruptedException e) {}
		try {
			URL url = new URL("http://localhost:8080/Round19/Servlet_02");
			URLConnection conn = url.openConnection();
			conn.setDoOutput(true); // POST ȣ  ݵ Ǿ .
			conn.setDoInput(true);  // GET ȣ ÿ ̰ ϳ  .
			
			PrintWriter out = new PrintWriter(
					new BufferedWriter(
					new OutputStreamWriter(conn.getOutputStream())));
			out.print("name=" + name + "&"); //  Ͱ  println  
			out.print("cnt=" + cnt); // flush()  println  
			out.flush();
			out.close();
			
			BufferedReader in = new BufferedReader(
					new InputStreamReader(conn.getInputStream()));
			result = in.readLine();
			in.close();
			
			repaint();
		}catch(Exception ex) {
			ex.printStackTrace();
			System.out.println("ERROR = " + ex.getMessage());
		}
	}
}
