package round24.tags;

import javax.servlet.jsp.JspException;
import javax.servlet.jsp.JspWriter;
import javax.servlet.jsp.tagext.BodyTagSupport;

public class ViewTableTag extends BodyTagSupport {
	private JspWriter out;

	//Ӽ Ǵ ʹ ڿ · 
	// ʵ   ־ Ѵ.
	// Ӽ ޵Ǵ ʹ ڿ Ÿ̴.
	// ʿϴٸ ϴ   
	//Ͽ ϱ ٶ.
	private String cols;
	private String rows;
	
	public String getCols() {
		return cols;
	}
	public void setCols(String cols) {
		this.cols = cols;
	}
	public String getRows() {
		return rows;
	}
	public void setRows(String rows) {
		this.rows = rows;
	}
	
	public JspWriter getPreviousOut() {
		return pageContext.getOut();
	}
	public int doStartTag() throws JspException {		
		try {
			out = getPreviousOut();		
		}catch(Exception ex) {}
		return BodyTagSupport.EVAL_BODY_BUFFERED;
	}	
	public int doAfterBody() throws JspException {	
		//row col ⺻ 1 ϰ 
		//rows cols Ӽ  Ϳ
		//  ڷ Ͽ row col  Ѵ.
		// ڰ ƴ    Ѵ.
		int col = 1;
		if(this.cols != null && this.cols.trim().length() != 0) {
			try {
				col = Integer.parseInt(this.cols);
			}catch(NumberFormatException nfe) {}
		}
		int row = 1;
		if(this.rows != null && this.rows.trim().length() != 0) {
			try {
				row = Integer.parseInt(this.rows);
			}catch(NumberFormatException nfe) {}
		}
		
		//StringBuffer ̿Ͽ ̺  Ѵ.
		//row col  ̿Ͽ ࿭ ۼѴ. 
		String bodydata = bodyContent.getString();	
		StringBuffer buffer = new StringBuffer();
		buffer.append("<table width='300' border='1'>\n");
		for(int i = 0; i < row; ++i) {
			buffer.append("<tr>\n");
			for(int j = 0; j < col; ++j) {
				buffer.append("<td>" + bodydata + "</td>\n");
			}
			buffer.append("</tr>\n");
		}
		buffer.append("</table>\n");
		
		//ϼ ̺ ȭ Ѵ.
		try {
			out.println(buffer.toString());
			out.flush();
		}catch(Exception ex) {}
		return BodyTagSupport.EVAL_PAGE;
	}
	public int doEndTag() throws JspException {		
		return BodyTagSupport.EVAL_PAGE;
	}	
}
